DELETE
/api/v1/kubernetes/delete-worker-node/{node_pool_id}/{node_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-worker-node/{node_pool_id}/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-worker-node/{node_pool_id}/{node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-worker-node/{node_pool_id}/{node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Terminates a single worker node from a node pool (scaling that pool down by one). Use the node pool’s service_id and the node’s id (from Node Pool Details).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_pool_id
required
integer
The node pool service_id (from List Node Pools).
Example
12346node_id
required
integer
The id of the worker node to delete (from Node Pool Details).
Example
320001Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the delete request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "message": "Worker node deleted successfully"}